Subject: Re: [tcpm] Asymmetric Middleboxes and Extended Data Offset (EDO)

From: Pasi Sarolahti <[email-masked]>
Date: Fri, 3 Oct 2014 11:00:10 +0300

On 02 Oct 2014, at 14:50, Bob Briscoe <[email-masked]> wrote:

> As you know, I was amazed when it was proposed that EDO should go forward for proposed standard. I said in the TCPM meeting that it should be at least experimental, because these days any new TCP options need to be tested against a wide range of middlebox behaviours. With the above problems, I think we should revisit the decision even to adopt EDO.

I don’t think we need to make hasty changes to the milestone status at this time. Things are still evolving, and there may be ways to address the issues in some acceptable manner. Even if we found a complete showstopper, I think it would be valuable to publish a RFC to document what was tried, although obviously the document status would need to be something different then.

For now, I think the middlebox section should document the known failure scenarios in sufficient detail, for example based on what you wrote in your mail.

- Pasi